Summary: Stylesheets used at Cygnus for SGML conversion.
name: stylesheets
Packager: Owen Taylor <otaylor@redhat.com>
# Packager: rosalia@cygnus.com
%define version 0.11rh
%define release 2
version: %{version}
release: %{release}
#vendor: Cygnus Solutions
#Distribution: Cygnus UNSUPPORTED Internal SGML Tools
Prereq: sgml-common
Requires: docbook
source: stylesheets.tgz
source1: http://www.nwalsh.com/docbook/dsssl/db142.zip
source2: http://www.nwalsh.com/docbook/dsssl/db142d.zip
Copyright: Mark Eichin, Cygnus Solutions; Mark Burton (markb@ordern.com); Mark Galassi (Cygnus Solutions) for dbtohtml.dsl; Jon Bosak, Sun Microsystems for bosak-db3 and docbook.dsl, norm@berkshire.net for the nwalsh-modular/ hierarchy; Mark Galassi (Cygnus Solutions) for cygnus-both.dsl: contains Cygnus customizations for the DocBook modular stylesheets.
Group: Applications/Text
BuildArch: noarch
BuildRoot: /var/tmp/stylesheets-root
%define sgmlbase /usr

%description
The stylesheets package contains a collection of stylesheets used at
Cygnus for SGML conversion, particularly with Docbook.  The
stylesheets themselves will be in /usr/lib/sgml/stylesheets.
Experimental entries are added to the catalog.  Some simple scripts
are included to facilitate using the stylesheets, which are almost
entirely the work of Norm Walsh (norm@walsh.co).

%prep
%setup -c
unzip $RPM_SOURCE_DIR/db142.zip
unzip $RPM_SOURCE_DIR/db142d.zip

%build
echo "nothing to build"

%install
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/dtds
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/dtds/decls
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/bin
install stylesheets/*.cat $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/
install docbook/VERSION $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/VERSION
install docbook/catalog $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/nwalsh-modular.cat
install docbook/dtds/decls/docbook.dcl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/dtds/decls/
install stylesheets/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/

# Just install the whole docbook mess, even though we don't need
# all these files. I'll let better people figure out what we need.
# OWT

cd docbook
for i in `find . -type f` ; do
  install -m 0644 -D $i $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/$i
done
cd ..

for i in stylesheets/*.sh; do
  j=`basename $i .sh`
  install $i $RPM_BUILD_ROOT%{sgmlbase}/bin/$j
done

%post
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
%{sgmlbase}/bin/install-catalog --install stylesheets --version $V >/dev/null
%{sgmlbase}/bin/install-catalog --install nwalsh-modular --version $V >/dev/null

%postun
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
%{sgmlbase}/bin/install-catalog --remove stylesheets --version $V >/dev/null
%{sgmlbase}/bin/install-catalog --remove nwalsh-modular --version $V >/dev/null

%files
%attr(- root root) %{sgmlbase}/lib/sgml/dtds/*
%attr(- root root) %{sgmlbase}/lib/sgml/stylesheets/*
%attr(- root root) %{sgmlbase}/lib/sgml/stylesheets.cat
%attr(- root root) %{sgmlbase}/lib/sgml/nwalsh-modular.cat
%attr(- root root) %{sgmlbase}/bin/*

%doc docbook/BUGS docbook/README docbook/TODO

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- updated to 1.42, docs are in separate zip file

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- quiet scripts

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Updated to Norman Walsh v. 1.4
- Made noarch

* Thu Apr 22 1999 Owen Taylor <otaylor@redhat.com>
- Made requires for sgml-common into prereq
